Skip to Content
API ReferenceFeedback

Search feedback

Search feedback with filters, search terms, includes, and sort instructions in a JSON request body.

Search feedback with filters, search terms, includes, and sort instructions in a JSON request body.

POST
/v2/feedback/search

Authorization

headerAuthorizationBearer <API Key>

Provide your SellApp API key as a bearer token.

Header Parameters

X-STORE?string

Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.

Request Body

application/json
  1. body
filters?array<|>
sort?array<>
search?
includes?array<>

Response Body

Successful response.

application/json
  1. response
data*array<>
links*
meta*
Example Request
curl -X POST 'https://sell.app/api/v2/feedback/search' \  -H 'X-STORE: launch-lab' \  -H 'Content-Type: application/json' \  -d '{  "filters": [    {      "field": "id",      "operator": "=",      "value": 1    }  ],  "sort": [    {      "field": "created_at",      "direction": "desc"    }  ]}'
{  "data": [    {      "id": 1,      "feedback": "POSITIVE",      "rating": 5,      "deleted_at": null,      "created_at": "2022-12-12T12:12:12.000000Z",      "updated_at": "2022-12-12T12:12:12.000000Z",      "store_id": 1,      "metadata": {},      "message": "The download arrived immediately and the setup instructions were clear.",      "reply": "Thank you for your feedback.",      "is_automatic": true,      "product_id": 1,      "order_id": 1,      "sentiment": "POSITIVE",      "variant_id": null,      "product_title": null    }  ],  "links": {    "first": "https://sell.app/api/v2/feedback/search?page=1",    "last": "https://sell.app/api/v2/feedback/search?page=1",    "prev": null,    "next": null  },  "meta": {    "current_page": 1,    "from": 1,    "last_page": 1,    "path": "https://sell.app/api/v2/feedback/search",    "per_page": 20,    "to": 1,    "total": 1,    "links": [      {        "url": null,        "label": "&laquo; Previous",        "active": false      },      {        "url": "https://sell.app/api/v2/feedback/search?page=1",        "label": "1",        "active": true      },      {        "url": null,        "label": "Next &raquo;",        "active": false      }    ]  }}